[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4284: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3493)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4286: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3493)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4287: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3493)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4288: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3493)
CULA • View topic - CUDA runtime or driver is not supported

CUDA runtime or driver is not supported

Support for issues specific to the Linux operating systems.

CUDA runtime or driver is not supported

Postby xhsh » Thu Feb 24, 2011 12:49 am

Hello, all,

I am testing the examples coming with cula. The compilation is successful. However, when I run "gesv", I get the following messages:

-------------------
SGESV
-------------------
Allocating Matrices
Initializing CULA
CUDA runtime or driver is not supported


However, I do not have any problems when I call the cublas functions coming with the cuda-toolkit. Could anybody tell me what is wrong, please?
xhsh
 
Posts: 8
Joined: Wed Feb 23, 2011 5:42 pm

Re: CUDA runtime or driver is not supported

Postby john » Mon Feb 28, 2011 2:40 pm

Please be sure that your CUDA version and CUDA driver are both updated to 3.2 and that your CULA installation is R10.
john
Administrator
 
Posts: 587
Joined: Thu Jul 23, 2009 2:31 pm

Re: CUDA runtime or driver is not supported

Postby hcula8 » Tue Aug 23, 2011 9:31 pm

Hello,

I get the same error while trying to run a program for calling sgesv. My Cuda driver version is 260.19.36 and the CUDA version is 3020, and I have CULA R11. Shouldnt it work fine with R11 ? or should I revert back to R10 ?
hcula8
 
Posts: 5
Joined: Fri Aug 19, 2011 9:15 am

Re: CUDA runtime or driver is not supported

Postby john » Wed Aug 24, 2011 10:32 am

That should be correct, though you'll want to check that you're not somehow mistakenly loading up a different CUDA runtime from somewhere else on your system.
john
Administrator
 
Posts: 587
Joined: Thu Jul 23, 2009 2:31 pm

Re: CUDA runtime or driver is not supported

Postby hcula8 » Wed Aug 24, 2011 11:32 am

Running the version check example gives the following output.

- CULA: 11.0
- CUDA Runtime: 3.2
- CUDA Driver: 3.2
- CUBLAS Runtime: 3.2

So my program should also be loading the 3.2 version of CUDA runtime. Could there be any other reason for the error ?
hcula8
 
Posts: 5
Joined: Fri Aug 19, 2011 9:15 am

Re: CUDA runtime or driver is not supported

Postby john » Wed Aug 24, 2011 1:18 pm

I don't see anything that would overtly cause version check to succeed and sgesv to fail. I'd like to ask for your LD_LIBRARY_PATH and if possible to try a CUDA 4 driver (you can keep toolkit 3.1 and R11 if that is your preference).
john
Administrator
 
Posts: 587
Joined: Thu Jul 23, 2009 2:31 pm

Re: CUDA runtime or driver is not supported

Postby hcula8 » Wed Aug 24, 2011 11:01 pm

hcula8
 
Posts: 5
Joined: Fri Aug 19, 2011 9:15 am

Re: CUDA runtime or driver is not supported

Postby john » Thu Aug 25, 2011 1:01 pm

This looks clean; what is the result of running ldd on the compiled executable?
john
Administrator
 
Posts: 587
Joined: Thu Jul 23, 2009 2:31 pm

Re: CUDA runtime or driver is not supported

Postby hcula8 » Thu Aug 25, 2011 1:59 pm

linux-vdso.so.1 => (0x00007fffc9370000)
libcula_pgfortran.so => /usr/local/cula/lib64/libcula_pgfortran.so (0x00007fcfe8437000)
libcudart.so.3 => /opt/pgi/linux86-64/2011/cuda/3.1/lib64/libcudart.so.3 (0x00007fcfe81fb000)
libpthread.so.0 => /lib/libpthread.so.0 (0x00007fcfe7fd0000)
librt.so.1 => /lib/librt.so.1 (0x00007fcfe7dc8000)
libm.so.6 => /lib/libm.so.6 (0x00007fcfe7b45000)
libc.so.6 => /lib/libc.so.6 (0x00007fcfe77c1000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fcfe74ad000)
libcula.so => /usr/local/cula/lib64/libcula.so (0x00007fcfe5a1e000)
libcublas.so.3 => /opt/pgi/linux86-64/2011/cuda/3.1/lib64/libcublas.so.3 (0x00007fcfe298b000)
libgomp.so.1 => /usr/lib/libgomp.so.1 (0x00007fcfe277d000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007fcfe2566000)
libdl.so.2 => /lib/libdl.so.2 (0x00007fcfe2361000)
/lib64/ld-linux-x86-64.so.2 (0x00007fcfe8645000)
hcula8
 
Posts: 5
Joined: Fri Aug 19, 2011 9:15 am

Re: CUDA runtime or driver is not supported

Postby john » Fri Aug 26, 2011 5:27 am

john
Administrator
 
Posts: 587
Joined: Thu Jul 23, 2009 2:31 pm

Re: CUDA runtime or driver is not supported

Postby hcula8 » Fri Aug 26, 2011 12:36 pm

Using the compiler flag -Mcuda=cuda3.2 solves the problem ! I appreciate your help.Thank you :D
hcula8
 
Posts: 5
Joined: Fri Aug 19, 2011 9:15 am


Return to Linux Support

Who is online

Users browsing this forum: No registered users and 1 guest

cron